Go to the latest version of this document.

# ``twisted`.`python`.`systemd``

module documentation
(source)

Integration with systemd.

Currently only the minimum APIs necessary for using systemd's socket activation feature are supported.

Class | `ListenFDs` | `ListenFDs` provides access to file descriptors inherited from systemd.
Function | `_parseDescriptors` | Parse the LISTEN_FDS environment variable supplied by systemd.
Function | `_parseNames` | Parse the LISTEN_FDNAMES environment variable supplied by systemd.

def _parseDescriptors(start: `int`, environ: `Mapping[str, str]`) -> `list[int]`: (source)

Parse the LISTEN_FDS environment variable supplied by systemd.

Parameters
start:`int` | systemd provides only a count of the number of descriptors that have been inherited. This is the integer value of the first inherited descriptor. Subsequent inherited descriptors are numbered counting up from here. See `ListenFDs._START`.
environ:`Mapping[str, str]` | The environment variable mapping in which to look for the value to parse.

Returns
`list[int]` | The integer values of the inherited file descriptors, in order.

def _parseNames(environ: `Mapping[str, str]`) -> `Sequence[str]`: (source)

Parse the LISTEN_FDNAMES environment variable supplied by systemd.

Parameters
environ:`Mapping[str, str]` | The environment variable mapping in which to look for the value to parse.

Returns
`Sequence[str]` | The names of the inherited descriptors, in order.